No se pudo encontrar com.android.tools.build:gradle:3.3.1

Could Not Find Com Android

Ejecute el error react-native run-android
FALLO: la compilación falló con una excepción.

  • Qué salió mal:
    Se produjo un problema al configurar el proyecto raíz 'testProject'.

No se pudieron resolver todos los archivos para la configuración ': classpath'.
No se pudo encontrar com.android.tools.build:gradle:3.0.1.
Buscado en las siguientes ubicaciones:
https://jcenter.bintray.com/com/android/tools/build/gradle/3.0.1/gradle-3.0.1.pom
https://jcenter.bintray.com/com/android/tools/build/gradle/3.0.1/gradle-3.0.1.jar
Requerido por:
proyecto :



Esto se debe a que 3.0 ya no está disponible en jcenter.bintray.com después de cambiar la versión de Gradle.
Solución:
Agregar google () a los repositorios {}
Será reemplazado por https://dl.google.com/
buildscript {
repositorios {
Google()
jcenter ()
}
dependencias {
classpath 'com.android.tools.build:gradle:3.0.1'



|_+_|

}



allprojects {
repositorios {
Google()
jcenter ()
}
}